// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.6.1
// source: internal/wallet-system/entrypoint/grpc/proto/wallet.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type WalletRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserID string  `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Amount float32 `protobuf:"fixed32,2,opt,name=amount,proto3" json:"amount,omitempty"`
}

func (x *WalletRequest) Reset() {
	*x = WalletRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WalletRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WalletRequest) ProtoMessage() {}

func (x *WalletRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WalletRequest.ProtoReflect.Descriptor instead.
func (*WalletRequest) Descriptor() ([]byte, []int) {
	return file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescGZIP(), []int{0}
}

func (x *WalletRequest) GetUserID() string {
	if x != nil {
		return x.UserID
	}
	return ""
}

func (x *WalletRequest) GetAmount() float32 {
	if x != nil {
		return x.Amount
	}
	return 0
}

type WalletResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Withdrawn bool `protobuf:"varint,1,opt,name=withdrawn,proto3" json:"withdrawn,omitempty"`
}

func (x *WalletResponse) Reset() {
	*x = WalletResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WalletResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WalletResponse) ProtoMessage() {}

func (x *WalletResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WalletResponse.ProtoReflect.Descriptor instead.
func (*WalletResponse) Descriptor() ([]byte, []int) {
	return file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescGZIP(), []int{1}
}

func (x *WalletResponse) GetWithdrawn() bool {
	if x != nil {
		return x.Withdrawn
	}
	return false
}

var File_internal_wallet_system_entrypoint_grpc_proto_wallet_proto protoreflect.FileDescriptor

var file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDesc = []byte{
	0x0a, 0x39, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x77, 0x61, 0x6c, 0x6c, 0x65,
	0x74, 0x2d, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x2f, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x70, 0x6f,
	0x69, 0x6e, 0x74, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x77,
	0x61, 0x6c, 0x6c, 0x65, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x3f, 0x0a, 0x0d, 0x57,
	0x61, 0x6c, 0x6c, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06,
	0x75, 0x73, 0x65, 0x72, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73,
	0x65, 0x72, 0x49, 0x44, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x02, 0x52, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x22, 0x2e, 0x0a, 0x0e,
	0x57, 0x61, 0x6c, 0x6c, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1c,
	0x0a, 0x09, 0x77, 0x69, 0x74, 0x68, 0x64, 0x72, 0x61, 0x77, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x09, 0x77, 0x69, 0x74, 0x68, 0x64, 0x72, 0x61, 0x77, 0x6e, 0x32, 0x40, 0x0a, 0x0d,
	0x57, 0x61, 0x6c, 0x6c, 0x65, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x2f, 0x0a,
	0x0a, 0x57, 0x69, 0x74, 0x68, 0x64, 0x72, 0x61, 0x77, 0x61, 0x6c, 0x12, 0x0e, 0x2e, 0x57, 0x61,
	0x6c, 0x6c, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x0f, 0x2e, 0x57, 0x61,
	0x6c, 0x6c, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x2e,
	0x5a, 0x2c, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x77, 0x61, 0x6c, 0x6c, 0x65,
	0x74, 0x2d, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x2f, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x70, 0x6f,
	0x69, 0x6e, 0x74, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescOnce sync.Once
	file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescData = file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDesc
)

func file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescGZIP() []byte {
	file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescOnce.Do(func() {
		file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescData = protoimpl.X.CompressGZIP(file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescData)
	})
	return file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDescData
}

var file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_goTypes = []interface{}{
	(*WalletRequest)(nil),  // 0: WalletRequest
	(*WalletResponse)(nil), // 1: WalletResponse
}
var file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_depIdxs = []int32{
	0, // 0: WalletService.Withdrawal:input_type -> WalletRequest
	1, // 1: WalletService.Withdrawal:output_type -> WalletResponse
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_init() }
func file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_init() {
	if File_internal_wallet_system_entrypoint_grpc_proto_wallet_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WalletRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WalletResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_goTypes,
		DependencyIndexes: file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_depIdxs,
		MessageInfos:      file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_msgTypes,
	}.Build()
	File_internal_wallet_system_entrypoint_grpc_proto_wallet_proto = out.File
	file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_rawDesc = nil
	file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_goTypes = nil
	file_internal_wallet_system_entrypoint_grpc_proto_wallet_proto_depIdxs = nil
}
